# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [0.0.27-alpha.250](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.249...v0.0.27-alpha.250) (2020-07-01)

**Note:** Version bump only for package @workbench-stack/output-browser





## [0.0.27-alpha.249](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.248...v0.0.27-alpha.249) (2020-06-30)

**Note:** Version bump only for package @workbench-stack/output-browser





## [0.0.27-alpha.248](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.247...v0.0.27-alpha.248) (2020-06-30)

**Note:** Version bump only for package @workbench-stack/output-browser





## [0.0.27-alpha.247](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.246...v0.0.27-alpha.247) (2020-06-24)

**Note:** Version bump only for package @workbench-stack/output-browser





## [0.0.27-alpha.243](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.242...v0.0.27-alpha.243) (2020-06-22)

**Note:** Version bump only for package @workbench-stack/output-browser





## [0.0.27-alpha.241](https://github.com/cdmbase/workbench-stack/compare/v0.0.27-alpha.240...v0.0.27-alpha.241) (2020-06-14)

**Note:** Version bump only for package @workbench-stack/output-browser





## [0.0.27-alpha.239](https://github.com/cdmbase/workbench-stack/compare/v0.0.17-15...v0.0.27-alpha.239) (2020-06-07)


### Code Refactoring

* **improve Editor Component and IDE Context:** Dynamic Editor selection based on input ([e25aed7](https://github.com/cdmbase/workbench-stack/commit/e25aed7304ba5f80606cfb1323fda9e445002e7e)), closes [#256](https://github.com/cdmbase/workbench-stack/issues/256)
* **merge @workbench-stack/keybinding to @workbench-stack/components:** reduce number of packages ([1c86b29](https://github.com/cdmbase/workbench-stack/commit/1c86b2957194f4cf7706d413d72f7125387fefa3))
* **merge @workbench-stack/theme to @workbench-stack/components:** reduce number of components ([95117f2](https://github.com/cdmbase/workbench-stack/commit/95117f25e70aa85fb09455e3010dc5fd322251f2))


### BREAKING CHANGES

* **improve Editor Component and IDE Context:** `@workbench-stack/monaco-module-browser`, `@workbench-stack/monaco-module-server` are removed. Instead use `@workbench-stack/components` for similar feature. Or use `Editor` component from `@workbench-stack/module-browser` which is more enhanced with multiple features.
* **merge @workbench-stack/theme to @workbench-stack/components:** `@workbench-stack/themes` won't work anymore. Use `@workbench-stack/components`
* **merge @workbench-stack/keybinding to @workbench-stack/components:** @workbench-stack/keybindings package no more exist. Use `import { keybindingExtensino} from '@workbench-stack/components'` instead





## [0.0.27-alpha.238](https://github.com/cdmbase/workbench-stack/compare/v0.0.17-15...v0.0.27-alpha.238) (2020-06-07)


### Code Refactoring

* **improve Editor Component and IDE Context:** Dynamic Editor selection based on input ([e25aed7](https://github.com/cdmbase/workbench-stack/commit/e25aed7304ba5f80606cfb1323fda9e445002e7e)), closes [#256](https://github.com/cdmbase/workbench-stack/issues/256)
* **merge @workbench-stack/keybinding to @workbench-stack/components:** reduce number of packages ([1c86b29](https://github.com/cdmbase/workbench-stack/commit/1c86b2957194f4cf7706d413d72f7125387fefa3))
* **merge @workbench-stack/theme to @workbench-stack/components:** reduce number of components ([95117f2](https://github.com/cdmbase/workbench-stack/commit/95117f25e70aa85fb09455e3010dc5fd322251f2))


### BREAKING CHANGES

* **improve Editor Component and IDE Context:** `@workbench-stack/monaco-module-browser`, `@workbench-stack/monaco-module-server` are removed. Instead use `@workbench-stack/components` for similar feature. Or use `Editor` component from `@workbench-stack/module-browser` which is more enhanced with multiple features.
* **merge @workbench-stack/theme to @workbench-stack/components:** `@workbench-stack/themes` won't work anymore. Use `@workbench-stack/components`
* **merge @workbench-stack/keybinding to @workbench-stack/components:** @workbench-stack/keybindings package no more exist. Use `import { keybindingExtensino} from '@workbench-stack/components'` instead
